> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List log uploads

> Returns the server log files that were uploaded for the site, with the state of each upload.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/bot-logs/uploads
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/bot-logs/uploads:
    get:
      tags:
        - Bot logs
      summary: List log uploads
      description: >-
        Returns the server log files that were uploaded for the site, with the
        state of each upload.
      operationId: list_uploads
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadList'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    UploadList:
      type: object
      properties:
        uploads:
          type: array
          items:
            $ref: '#/components/schemas/Upload'
      required:
        - uploads
    Upload:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          nullable: true
        filename:
          type: string
        byte_size:
          type: integer
        status:
          $ref: '#/components/schemas/UploadStatus'
        failure_reason:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UploadFailure'
        parsed_lines:
          type: integer
        matched_lines:
          type: integer
        rejected_lines:
          type: integer
        unmatched_agents:
          type: array
          items:
            type: string
        first_day:
          type: string
          format: date
          nullable: true
        last_day:
          type: string
          format: date
          nullable: true
      required:
        - byte_size
        - failure_reason
        - filename
        - first_day
        - last_day
        - matched_lines
        - parsed_lines
        - rejected_lines
        - status
        - unmatched_agents
        - uuid
    UploadStatus:
      enum:
        - pending
        - parsed
        - duplicate
        - failed
      type: string
      description: |-
        * `pending` - pending
        * `parsed` - parsed
        * `duplicate` - duplicate
        * `failed` - failed
    UploadFailure:
      enum:
        - unreadable
        - unknown_format
        - no_bot_lines
        - too_large
      type: string
      description: |-
        * `unreadable` - unreadable
        * `unknown_format` - unknown_format
        * `no_bot_lines` - no_bot_lines
        * `too_large` - too_large
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.